
local MAJOR = "StarLibLCD-1.0" 
local MINOR = 1
assert(LibStub, MAJOR.." requires LibStub") 
local LibStarLibLCD = LibStub:NewLibrary(MAJOR, MINOR)
local LibError = LibStub("StarLibError-1.0")
assert(LibError, "StarLibLCD-1.0 requires StarLibError-1.0")

local pool = setmetatable({}, {__mode = "k"})

if not LibStarLibLCD then return end

if not LibStarLibLCD.__index then
	LibStarLibLCD.__index = LibStarLibLCD
end

function LibStarLibLCD:New(errorLevel) 
	if self ~= LibStarLibLCD then return end
	
	local obj = next(pool)

	if obj then
		pool[obj] = nil
	else
		obj = {}
	end

	obj.errorLevel = errorLevel
	
	obj.error = LibError:New(errorLevel)
	
	setmetatable(obj, self)
	
	return obj	
end

function LibStarLibLCD:Del(ev)
	if self == LibStarLibLCD then
		LibProperty.pool[ev] = true
	else
		LibProperty.pool[self] = true
	end
end
